//--------------------------------------------------------------------
// 
// File name	 : ManageDB.java
// Description	 : Manage Database
//					
// Last modified : 2003.07.07
// Edit by		 : Edit plus v2.10
//
//--------------------------------------------------------------------


package my_db.plan_manage;

import java.sql.*;
import java.util.*;


public class ManageDB
{

  String error;
  Connection con;
  private int msg;

  //-----------------------------------------------
  //	Constructor
  //-----------------------------------------------
  public ManageDB()
  {
  }//--> end Constructor


  //-----------------------------------------------
  //	Ʈwsu
  //-----------------------------------------------
  public boolean connect()
  {
    try 
	{
      Class.forName("org.gjt.mm.mysql.Driver").newInstance(); 
      con = DriverManager.getConnection("jdbc:mysql://localhost/plandb","root","yan");
	  return true;
    } 
	catch (ClassNotFoundException cnfe) 
	{
      error = "ClassNotFoundException: Could not locate DB driver.";
      //throw new ClassNotFoundException(error);
    } 
	catch (SQLException cnfe) 
	{
      error = "SQLException: Could not connect to database.";
      //throw new SQLException(error);
    } 
	catch (Exception e) 
	{
      error = "Exception: An unknown error occurred while connecting " +
              "to database.";
      //throw new Exception(error);
   }
   return false;
  }//--> end connect()



  //-----------------------------------------------
  //	פƮwsu
  //-----------------------------------------------
  public void disconnect() throws SQLException 
  {
    try 
	{
      if ( con != null ) 
	  {
        con.close();
      }
    } 
	catch (SQLException sqle) 
	{
      error = ("SQLException: Unable to close the database connection.");
      throw new SQLException(error);
    }
  }//--> end disconnect()



  //-----------------------------------------------
  //	SQLO
  //-----------------------------------------------
  public ResultSet ExecuteSQL(String queryString) throws SQLException
  {
    ResultSet rs = null;
    try 
	{
      Statement stmt = con.createStatement();
      rs = stmt.executeQuery(queryString); 
    } 
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the query.";
      throw new SQLException(error);
    }
    return rs;
  }//--> end ExecuteSQL



  public void ExecuteUpdate(String queryString) throws SQLException
  {
    try 
	{
      Statement stmt = con.createStatement();
      stmt.executeUpdate(queryString); 
    } 
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the query.";
      throw new SQLException(error);
    } 
  }//--> end ExecuteUpdate
}//--> end class ManageDB