//--------------------------------------------------------------------
// 
// File seqNo	 : Payment.java
// Description	 : 				
//
//--------------------------------------------------------------------


package my_db.plan_manage;

import java.sql.*;
import java.util.*;


public class Payment
{
  String error;

  //--------------------------
  //	Constructor
  //--------------------------
  public void Payment() 
  {  
  }

  public ResultSet sum() throws SQLException, Exception 
  {
	ManageDB db = new ManageDB();
	db.connect();
	String queryString = "SELECT payDate,planId,sum(payment),sum(deduction) From Payment WHERE YEAR(PAYDATE)=YEAR(CURDATE()) AND MONTH(PAYDATE)=MONTH(CURDATE())  GROUP BY payDate,planId; " ;
        ResultSet rs = null;
	try
	{
	  rs = db.ExecuteSQL(queryString);
	}
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the list Payment.";
      throw new SQLException(error);
    }
	db.disconnect();
	return rs;
  }//--> end list()

  public boolean Delete() throws SQLException, Exception 
  {
	ManageDB db = new ManageDB();
	db.connect();
    
	String queryString = "DELETE From Payment WHERE paydate=CURDATE();";
	try
	{
	  db.ExecuteUpdate(queryString);
	}
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the Delete Payment.";
      throw new SQLException(error);
    }
	db.disconnect();
	return true;
  }//--> end Delete

 
  public boolean paysta() throws SQLException, Exception 
  {
	ManageDB db = new ManageDB();
	db.connect();
    
        String queryString ="INSERT into Payment SELECT planId,seqNo,CURDATE() AS paydate,"
                            +" CASE WHEN substr(employeeType,1,1)='F' THEN 40000  WHEN substr(employeeType,1,1)='H' THEN 20000 ELSE 10000 END AS payment,"
                            +" CASE WHEN substr(employeeType,1,1)='F' THEN 40000*0.03 WHEN substr(employeeType,1,1)='H' THEN 20000*0.03 ELSE 10000*0.3 END AS deduction"
                            +" FROM Assrecord WHERE CURDATE()>estartDate AND CURDATE()<eactDate;";
	try
	{
	  db.ExecuteUpdate(queryString);
	}
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the paysta Payment."+queryString+sqle.getMessage();
      throw new SQLException(error);
    }
	db.disconnect();
	return true;
  }//--> end paysta

}//--> end class Payment 