//--------------------------------------------------------------------
// 
// File name	 : Plan.java
// Description	 : 
//					
// Last modified : 2003.07.07
// Edit by		 : Edit plus v2.10
//
//--------------------------------------------------------------------


package my_db.plan_manage;

import java.sql.*;
import java.util.*;


public class Plan
{
  String error;

  //--------------------------
  //	Constructor
  //--------------------------
  public void Plan() 
  {  
  }

  public ResultSet list() throws SQLException, Exception 
  {
	ManageDB db = new ManageDB();
	db.connect();
	String queryString = "SELECT planId,year,startDate,endDate,actDate,N.cardNo,N.unitId,name,unitname From plan N,PlanUnit T,PlanOwner R where N.cardNo=R.cardNo and N.unitId=T.unitId ORDER BY planId; " ;
        ResultSet rs = null;
	try
	{
	  rs = db.ExecuteSQL(queryString);
	}
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the query plan.";
      throw new SQLException(error);
    }
	db.disconnect();
	return rs;
  }//--> end list()

  
  public ResultSet get(String planId) throws SQLException, Exception 
  {
	ManageDB db = new ManageDB();
	db.connect();
	String queryString = "SELECT * From plan WHERE planId='" + planId + "'";
        ResultSet rs = null;
	try
	{
	  rs = db.ExecuteSQL(queryString);
	}
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the query get plan.";
      throw new SQLException(error);
    }
	db.disconnect();
	return rs;
  }//--> end get()
  

  public boolean Delete(String planId) throws SQLException, Exception 
  {
	ManageDB db = new ManageDB();
	db.connect();
    
	String queryString = "DELETE From plan WHERE planId='" + planId.trim() +"'";
	try
	{
	  db.ExecuteUpdate(queryString);
	}
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the query Delete plan.";
      throw new SQLException(error);
    }
	db.disconnect();
	return true;
  }//--> end Delete


  public boolean Insert(String planId, String year, String startDate, String endDate,
                        String actDate, String cardNo, String unitId) 
	throws SQLException, Exception 
  {
	ManageDB db = new ManageDB();
	db.connect();
	if (planId.equals(""))
	  return false;
	else if(year.equals(""))
	  return false;
	else if(startDate.equals(""))
	  return false;
	else if(endDate.equals(""))
	  return false;
	else if(actDate.equals(""))
	  return false;
	else if(cardNo.equals(""))
	  return false;
	else if(unitId.equals(""))
	  return false;

	String queryString = "INSERT plan VALUES('" + planId + "','" + year + "','" + startDate + "','" + endDate + "','" + actDate 
          +"','" + cardNo+ "','" + unitId+"')";
	try
	{
	  db.ExecuteUpdate(queryString);
	}
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the query insert plan.";
      throw new SQLException(error);
    }
	db.disconnect();
	return true;
  }//--> end Insert


  
public boolean update(String PreplanId,String planId, String year, String startDate, String endDate,
                        String actDate, String cardNo, String unitId) 
	throws SQLException, Exception 
  {
	ManageDB db = new ManageDB();
	db.connect();
	if (planId.equals(""))
	  return false;
	else if(year.equals(""))
	  return false;
	else if(startDate.equals(""))
	  return false;
	else if(endDate.equals(""))
	  return false;
	else if(actDate.equals(""))
	  return false;
	else if(cardNo.equals(""))
	  return false;
	else if(unitId.equals(""))
	  return false;
	

	String queryString = "UPDATE plan SET planId='" + planId + "',year='" + year + "',startDate='" + startDate + "',endDate='" + endDate
	  + "',actDate='" + actDate + "',cardNo='" + cardNo + "',unitId='" + unitId + "' WHERE planId='" + PreplanId + "'";
	try
	{
	  db.ExecuteUpdate(queryString);
	}
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the query update plan.";
      throw new SQLException(error);
    }
	db.disconnect();
	return true;
  }//--> end Alter

}//--> end class Plan