//--------------------------------------------------------------------
// 
// File name	 : Report.java
// Description	 : 
//					
// Last modified : 2003.07.07
// Edit by		 : Edit plus v2.10
//
//--------------------------------------------------------------------


package my_db.plan_manage;

import java.sql.*;
import java.util.*;


public class Report
{
  String error;

  //--------------------------
  //	Constructor
  //--------------------------
  public void Report() 
  {  
  }

  public ResultSet Report1() throws SQLException, Exception 
  {
	ManageDB db = new ManageDB();
	db.connect();
	String queryString = "SELECT assName, B.planId, employeeType ,payDate, payment, deduction FROM Assistance A LEFT OUTER JOIN AssRecord B ON A.assistId =B.assistId LEFT OUTER JOIN Payment C ON B.planId =C. planId AND B.seqNo=C.seqNo;" ;
        ResultSet rs = null;
	try
	{
	  rs = db.ExecuteSQL(queryString);
	}
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the query Report1.";
      throw new SQLException(error);
    }
	db.disconnect();
	return rs;
  }//--> end list()

  public ResultSet Report2() throws SQLException, Exception 
  {
	ManageDB db = new ManageDB();
	db.connect();
	String queryString = "SELECT name, P1.planId, employeeType ,COUNT(assistId) FROM PlanOwner P,Plan P1 LEFT OUTER JOIN AssRecord A ON P1.planId =A.planId WHERE P.CardNo=P1.CardNo GROUP BY name, P1.planId, employeeType;" ;
        ResultSet rs = null;
	try
	{
	  rs = db.ExecuteSQL(queryString);
	}
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the query Report2.";
      throw new SQLException(error);
    }
	db.disconnect();
	return rs;
  }//--> end list()

  public ResultSet Report3() throws SQLException, Exception 
  {
	ManageDB db = new ManageDB();
	db.connect();
	String queryString = "SELECT payDate, assName , bankAccount ,sum(payment),sum(deduction) FROM(Payment NATURAL JOIN AssRecord) NATURAL JOIN Assistance WHERE YEAR(PAYDATE)=YEAR(CURDATE()) AND  MONTH(PAYDATE)=MONTH(CURDATE()) GROUP BY payDate, assName , bankAccount;" ;
        ResultSet rs = null;
	try
	{
	  rs = db.ExecuteSQL(queryString);
	}
	catch (SQLException sqle) 
	{
      error = "SQLException: Could not execute the query Report3.";
      throw new SQLException(error);
    }
	db.disconnect();
	return rs;
  }//--> end list()

}//--> end class Report